{===========================================================================================}
{	LlamaTalkCPListen}
{	}
{	Copyright  1994 Apple Computer, Inc.}
{	All rights reserved}
{	}
{	Modification Status}
{	YY/MM/DD	Name				Comments}
{	94/03/24	Jim Schram		Initial Development}
{	94/05/04	Jim Schram		Released as 1.0a1}
{	}
{-------------------------------------------------------------------------------------------------------------}

Unit LlamaTalkCPListen;

Interface

	Uses
		LlamaTalk;

	Procedure Main (connHdl: ConnHandle);

Implementation

	Procedure Main (connHdl: ConnHandle);
		Var
			globals: LTGlobalsHdl;
			socket: Short;
	Begin
		globals := LTGlobalsHdl(CMGetRefCon(connHdl));
		socket := CMGetUserData(connHdl);
		With globals^^.fSockets[socket] Do
			Case fConnHdl^^.errCode Of
				cmNoErr: 
					fListenPhase := cLTListenPhase4;
				Otherwise
					fListenPhase := cLTListenPhaseError;
			End;
	End;

End.